Subject: Re: bug#49264: 28.0.50; project.el+tramp performance issue

From: Dmitry Gutov <[email-masked]>
Date: Sat, 21 Aug 2021 05:23:09 +0300

On 19.08.2021 06:08, Ergus via Bug reports for GNU Emacs, the Swiss army 
knife of text editors wrote:
> It feels better now. There is still a small delay, but that is normal
> working with tramp. I will try it a bit more tomorrow; but the first
> impression is that this solves the issue for me.

It does spend time in reading files up the directory (in 
project--vc-merge-submodules-p), though I hope those are cached by Tramp.

And then, if project-vc-merge-submodules is set, also reads the contents 
of .gitmodules. But it's probably not the case.

I'll push the patch now since it seems like a solid improvement either 
way. Let me know if there's anything to be done here, or we can close 
the bug.